Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`names`.`authority``

module documentation
(source)

Authoritative resolvers.

Class | `BindAuthority` | An Authority that loads BIND zone files.
Class | `FileAuthority` | An Authority that is loaded from a file.
Class | `PySourceAuthority` | A FileAuthority that is built up from Python source code.
Function | `getSerial` | Return a monotonically increasing (across program runs) integer.

def getSerial(filename='/tmp/twisted-names.serial'): (source)

Return a monotonically increasing (across program runs) integer.

State is stored in the given file. If it does not exist, it is created with rw-/---/--- permissions.

This manipulates process-global state by calling `os.umask()`, so it isn't thread-safe.

Parameters
filename:`str` | Path to a file that is used to store the state across program runs.
Returns
`str` | a monotonically increasing number